manual merge of the distrib/ part from a prerelease of 0.30.215
authorThierry Parmentelat <thierry.parmentelat@sophia.inria.fr>
Tue, 4 Mar 2008 10:52:39 +0000 (10:52 +0000)
committerThierry Parmentelat <thierry.parmentelat@sophia.inria.fr>
Tue, 4 Mar 2008 10:52:39 +0000 (10:52 +0000)
Plan is to move to http://svn.linux-vserver.org/svn/util-vserver/tags/release-0.30.215/
once Daniel releases it

21 files changed:
distrib/Makefile.am
distrib/Makefile.in
distrib/alpine/initpost [new file with mode: 0644]
distrib/alpine/initpre [new file with mode: 0644]
distrib/debian/initpost
distrib/f7/yum.repos.d/fedora.repo
distrib/f7/yum/yum.conf
distrib/f8/apt/rpmpriorities [new file with mode: 0644]
distrib/f8/pkgs/01 [new file with mode: 0644]
distrib/f8/pkgs/02 [new file with mode: 0644]
distrib/f8/pkgs/03 [new file with mode: 0644]
distrib/f8/rpmlist.d/00.lst [new file with mode: 0644]
distrib/f8/yum.repos.d/fedora-development.repo [new file with mode: 0644]
distrib/f8/yum.repos.d/fedora-updates-testing.repo [new file with mode: 0644]
distrib/f8/yum.repos.d/fedora-updates.repo [new file with mode: 0644]
distrib/f8/yum.repos.d/fedora.repo [new file with mode: 0644]
distrib/f8/yum/yum.conf [new file with mode: 0644]
distrib/misc/debootstrap.uri
distrib/misc/h2ext.desc
distrib/misc/vprocunhide-files
distrib/redhat/initpost

index 82e69ac..862d83d 100644 (file)
@@ -1,4 +1,4 @@
-## $Id: Makefile.am 2601 2007-08-27 10:19:24Z dhozac $
+## $Id: Makefile.am 2670 2008-01-23 06:14:25Z dhozac $
 
 ## Copyright (C) 2003 Enrico Scholz <enrico.scholz@informatik.tu-chemnitz.de>
 ##  
@@ -36,7 +36,9 @@ nobase_distrib_SCRIPTS        =  redhat/initpost \
                           redhat/rc.sysinit \
                           gentoo/initpost \
                           gentoo/initpre \
-                          debian/initpost
+                          debian/initpost \
+                          alpine/initpre \
+                          alpine/initpost
 
 nobase_distrib_DATA    =  defaults/devs \
                           defaults/apt.conf \
@@ -61,6 +63,9 @@ nobase_distrib_DATA   =  defaults/devs \
                           f7/apt/rpmpriorities    f7/pkgs/01    f7/pkgs/02    f7/pkgs/03 \
                           f7/yum/yum.conf $(wildcard f7/yum.repos.d/*.repo) \
                           $(wildcard f7/rpmlist.d/*.lst) $(wildcard f7/rpmlist.d/*.opt) \
+                          f8/apt/rpmpriorities    f8/pkgs/01    f8/pkgs/02    f8/pkgs/03 \
+                          f8/yum/yum.conf $(wildcard f8/yum.repos.d/*.repo) \
+                          $(wildcard f8/rpmlist.d/*.lst) $(wildcard f8/rpmlist.d/*.opt) \
                           centos4/pkgs/01 centos4/pkgs/02 centos4/pkgs/03 \
                           centos4/yum/yum.conf $(wildcard centos4/yum.repos.d/*.repo) \
                           centos5/pkgs/01 centos5/pkgs/02 centos5/pkgs/03 \
@@ -93,7 +98,7 @@ EXTRA_DIST            =  $(nobase_distrib_DATA) \
                           $(nobase_confdistrib_DATA) \
                           $(defaults_DATA)
 
-redhat_style           =  rh9 fc1 fc2 fc3 fc4 fc5 fc6 f7 centos4 centos5
+redhat_style           =  rh9 fc1 fc2 fc3 fc4 fc5 fc6 f7 f8 centos4 centos5
 sid_style              =  etch lenny sid
 
 install-exec-hook:     install-notify-xtra
index 31cde76..c0dbda7 100644 (file)
@@ -108,6 +108,8 @@ ECHO_C = @ECHO_C@
 ECHO_N = @ECHO_N@
 ECHO_T = @ECHO_T@
 EGREP = @EGREP@
+ENSC_CRYPTO_CFLAGS = @ENSC_CRYPTO_CFLAGS@
+ENSC_CRYPTO_LIB = @ENSC_CRYPTO_LIB@
 ENSC_PATHPROG_SED = @ENSC_PATHPROG_SED@
 ENSC_USE_EXPENSIVE_TESTS = @ENSC_USE_EXPENSIVE_TESTS@
 ENV = @ENV@
@@ -115,6 +117,7 @@ EXEEXT = @EXEEXT@
 F77 = @F77@
 FFLAGS = @FFLAGS@
 FILE = @FILE@
+FSCK = @FSCK@
 GPG_KEY = @GPG_KEY@
 GREP = @GREP@
 GZIP = @GZIP@
@@ -145,6 +148,8 @@ MV = @MV@
 NAMEIF = @NAMEIF@
 NICE = @NICE@
 NOHUP = @NOHUP@
+NSS_CFLAGS = @NSS_CFLAGS@
+NSS_LIBS = @NSS_LIBS@
 OBJEXT = @OBJEXT@
 PACKAGE = @PACKAGE@
 PACKAGE_BUGREPORT = @PACKAGE_BUGREPORT@
@@ -153,6 +158,7 @@ PACKAGE_STRING = @PACKAGE_STRING@
 PACKAGE_TARNAME = @PACKAGE_TARNAME@
 PACKAGE_VERSION = @PACKAGE_VERSION@
 PATH_SEPARATOR = @PATH_SEPARATOR@
+PKG_CONFIG = @PKG_CONFIG@
 PS = @PS@
 RANLIB = @RANLIB@
 RELEASE_CPPFLAGS = @RELEASE_CPPFLAGS@
@@ -252,7 +258,9 @@ nobase_distrib_SCRIPTS = redhat/initpost \
                           redhat/rc.sysinit \
                           gentoo/initpost \
                           gentoo/initpre \
-                          debian/initpost
+                          debian/initpost \
+                          alpine/initpre \
+                          alpine/initpost
 
 nobase_distrib_DATA = defaults/devs \
                           defaults/apt.conf \
@@ -277,6 +285,9 @@ nobase_distrib_DATA = defaults/devs \
                           f7/apt/rpmpriorities    f7/pkgs/01    f7/pkgs/02    f7/pkgs/03 \
                           f7/yum/yum.conf $(wildcard f7/yum.repos.d/*.repo) \
                           $(wildcard f7/rpmlist.d/*.lst) $(wildcard f7/rpmlist.d/*.opt) \
+                          f8/apt/rpmpriorities    f8/pkgs/01    f8/pkgs/02    f8/pkgs/03 \
+                          f8/yum/yum.conf $(wildcard f8/yum.repos.d/*.repo) \
+                          $(wildcard f8/rpmlist.d/*.lst) $(wildcard f8/rpmlist.d/*.opt) \
                           centos4/pkgs/01 centos4/pkgs/02 centos4/pkgs/03 \
                           centos4/yum/yum.conf $(wildcard centos4/yum.repos.d/*.repo) \
                           centos5/pkgs/01 centos5/pkgs/02 centos5/pkgs/03 \
@@ -306,7 +317,7 @@ EXTRA_DIST = $(nobase_distrib_DATA) \
                           $(nobase_confdistrib_DATA) \
                           $(defaults_DATA)
 
-redhat_style = rh9 fc1 fc2 fc3 fc4 fc5 fc6 f7 centos4 centos5
+redhat_style = rh9 fc1 fc2 fc3 fc4 fc5 fc6 f7 f8 centos4 centos5
 sid_style = etch lenny sid
 all: all-am
 
@@ -320,9 +331,9 @@ $(srcdir)/Makefile.in: @MAINTAINER_MODE_TRUE@ $(srcdir)/Makefile.am $(top_srcdir
              exit 1;; \
          esac; \
        done; \
-       echo ' cd $(top_srcdir) && $(AUTOMAKE) --gnits  distrib/Makefile'; \
+       echo ' cd $(top_srcdir) && $(AUTOMAKE) --gnu  distrib/Makefile'; \
        cd $(top_srcdir) && \
-         $(AUTOMAKE) --gnits  distrib/Makefile
+         $(AUTOMAKE) --gnu  distrib/Makefile
 .PRECIOUS: Makefile
 Makefile: $(srcdir)/Makefile.in $(top_builddir)/config.status
        @case '$?' in \
@@ -366,22 +377,6 @@ uninstall-nobase_distribSCRIPTS:
          rm -f "$(DESTDIR)$(distribdir)/$$f"; \
        done
 
-installcheck-nobase_distribSCRIPTS: $(nobase_distrib_SCRIPTS)
-       bad=0; pid=$$$$; list="$(nobase_distrib_SCRIPTS)"; for p in $$list; do \
-         case ' $(AM_INSTALLCHECK_STD_OPTIONS_EXEMPT) ' in \
-          *" $$p "* | *" $(srcdir)/$$p "*) continue;; \
-         esac; \
-         f=`echo "$$p" | sed 's,^.*/,,;$(transform)'`; \
-         f=`echo "$$p" | sed 's|[^/]*$$||'`"$$f"; \
-         for opt in --help --version; do \
-           if "$(DESTDIR)$(distribdir)/$$f" $$opt >c$${pid}_.out \
-                2>c$${pid}_.err </dev/null \
-                && test -n "`cat c$${pid}_.out`" \
-                && test -z "`cat c$${pid}_.err`"; then :; \
-           else echo "$$f does not support $$opt" 1>&2; bad=1; fi; \
-         done; \
-       done; rm -f c$${pid}_.???; exit $$bad
-
 mostlyclean-libtool:
        -rm -f *.lo
 
@@ -545,7 +540,7 @@ install-pdf: install-pdf-am
 
 install-ps: install-ps-am
 
-installcheck-am: installcheck-nobase_distribSCRIPTS
+installcheck-am:
 
 maintainer-clean: maintainer-clean-am
        -rm -f Makefile
@@ -578,12 +573,11 @@ uninstall-am: uninstall-defaultsDATA uninstall-nobase_confdistribDATA \
        install-nobase_confdistribDATA install-nobase_distribDATA \
        install-nobase_distribSCRIPTS install-pdf install-pdf-am \
        install-ps install-ps-am install-strip installcheck \
-       installcheck-am installcheck-nobase_distribSCRIPTS installdirs \
-       maintainer-clean maintainer-clean-generic mostlyclean \
-       mostlyclean-generic mostlyclean-libtool pdf pdf-am ps ps-am \
-       uninstall uninstall-am uninstall-defaultsDATA \
-       uninstall-nobase_confdistribDATA uninstall-nobase_distribDATA \
-       uninstall-nobase_distribSCRIPTS
+       installcheck-am installdirs maintainer-clean \
+       maintainer-clean-generic mostlyclean mostlyclean-generic \
+       mostlyclean-libtool pdf pdf-am ps ps-am uninstall uninstall-am \
+       uninstall-defaultsDATA uninstall-nobase_confdistribDATA \
+       uninstall-nobase_distribDATA uninstall-nobase_distribSCRIPTS
 
 
 AM_INSTALLCHECK_STD_OPTIONS_EXEMPT \
diff --git a/distrib/alpine/initpost b/distrib/alpine/initpost
new file mode 100644 (file)
index 0000000..d700067
--- /dev/null
@@ -0,0 +1,68 @@
+#!/bin/bash
+
+# Copyright (C) 2007 Natanael Copa <ncopa@alpinelinux.org>
+#  
+# This program is free software; you can redistribute it and/or modify
+# it under the terms of the GNU General Public License as published by
+# the Free Software Foundation; version 2 of the License.
+#  
+# This program is distributed in the hope that it will be useful,
+# but WITHOUT ANY WARRANTY; without even the implied warranty of
+# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
+# GNU General Public License for more details.
+#  
+# You should have received a copy of the GNU General Public License
+# along with this program; if not, write to the Free Software
+# Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA 02111-1307, USA.
+
+## Called as: initpost <cfgdir> <path of util-vserver-vars>
+
+cfgdir="$1"
+vdir="$cfgdir"/vdir
+. "$2"
+
+cd "$vdir"
+
+echo ">>> Creating missing dirs..."
+$_CHROOT_SH mkdir proc sys dev home etc etc/rcL.d etc/rcK.d 2>/dev/null
+
+# remove mtab which is a link
+if test -e "$vdir/etc/mtab"; then
+       $_CHROOT_SH rm /etc/mtab 2>/dev/null
+fi
+
+# trick to install busybox links and boot services
+echo ">>> Installing boot services..."
+vserver="$1"
+$_VSERVER "$vserver" stop  &>/dev/null || true
+$_VSERVER "$vserver" start --rescue --rescue-init /bin/busybox sh -c '
+       /bin/busybox --install -s
+       /sbin/rc_add -s 20 -k syslog
+'
+
+# set up hostname
+if test -r "$cfgdir"/uts/nodename; then
+       echo ">>> Setting hostname..."
+       $_CHROOT_SH truncate /etc/hostname < "$cfgdir/uts/nodename"
+fi
+
+# create fstab
+echo -e "none\t/\tnone\tdefaults" | $_CHROOT_SH truncate /etc/fstab
+
+# create busybox style inittab
+cat <<EOF | $_CHROOT_SH truncate /etc/inittab
+::wait:/etc/init.d/rcL
+::ctrlaltdel:/etc/init.d/rcK
+::ctrlaltdel:/usr/bin/killall5 -15
+EOF
+
+# set up cmd.start and cmd stop if needed
+test -e "$1"/apps/init/style && initstlye=$(cat "$1"/apps/init/style)
+if test "$initstlye" != "plain"; then
+       echo "/etc/init.d/rcL" > "$cfgdir/apps/init/cmd.start"
+       echo "/etc/init.d/rcK" > "$cfgdir/apps/init/cmd.stop"
+fi
+
+# vserver should not be running at this point but lets be sure
+$_VSERVER "$vserver" stop  &>/dev/null || true
+
diff --git a/distrib/alpine/initpre b/distrib/alpine/initpre
new file mode 100644 (file)
index 0000000..58ea449
--- /dev/null
@@ -0,0 +1,33 @@
+#!/bin/bash
+
+# Copyright (C) 2007 Natanael Copa <ncopa@alpinelinux.org>
+#  
+# This program is free software; you can redistribute it and/or modify
+# it under the terms of the GNU General Public License as published by
+# the Free Software Foundation; version 2 of the License.
+#  
+# This program is distributed in the hope that it will be useful,
+# but WITHOUT ANY WARRANTY; without even the implied warranty of
+# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
+# GNU General Public License for more details.
+#  
+# You should have received a copy of the GNU General Public License
+# along with this program; if not, write to the Free Software
+# Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA 02111-1307, USA.
+
+## Called as: initpost <cfgdir> <path of util-vserver-vars>
+
+vdir="$1"/vdir
+. "$2"
+
+# initstyle sanity
+initstyle=sysv
+test -e "$1"/apps/init/style && initstyle=$(cat "$1"/apps/init/style)
+
+echo ">>> Checking init-style ... $initstyle"
+
+if test "$initstyle" != "sysv" && test "$initstyle" != "plain" ; then
+       echo "!!! The init-style is not supported for Alpine Linux"
+       echo "!!! Please use sysv or plain"
+fi
+
index a5337c0..2acb7d0 100644 (file)
@@ -21,6 +21,7 @@
 cfgdir="$1"
 vdir="$cfgdir"/vdir
 . "$2"
+. "$_LIB_VSERVER_BUILD_FUNCTIONS"
 
 
 # vserver name
@@ -109,19 +110,7 @@ echo
 
 # start vserver before we can exec anything inside it
 $_VSERVER "$NAME" stop &>/dev/null || :
-$_VSERVER "$NAME" start --rescue --rescue-init bash -c '
-    exec  > /dev/null
-    exec 2> /dev/null
-
-    set -x
-    f=/tmp/startwait
-    trap "rm -f $f" EXIT
-    mkfifo $f
-    ( sleep 15; kill -s 9 -- -1 ) &
-    cat "$f"
-    kill -s 9 -- -1
-    wait
-'
+startSleepingGuest "$NAME" 30
 
 # run the configure commands from within the server
 export LANG=C LC_ALL=C
@@ -129,17 +118,25 @@ export LANG=C LC_ALL=C
 $_CHROOT_SH testfile /usr/sbin/locale-gen && \
     $_VSERVER "$NAME" exec /usr/sbin/locale-gen
 
-for i in bootlogd checkfs checkroot halt hwclock.sh ifupdown klogd \
-        libdevmapper1.02 makedev module-init-tools mountall.sh \
-        mountdevsubfs.sh mountnfs.sh mountkernfs.sh mountvirtfs \
-        networking reboot setserial single stop-bootlogd \
-        stop-bootlogd-single umountfs umountnfs.sh umountroot \
-        urandom; do
-    $_VSERVER "$NAME" exec update-rc.d -f "$i" remove
+have_halt=
+test "$(cat "$cfgdir"/apps/init/style 2>/dev/null)" != "plain" || \
+    have_halt=halt
+
+pushd etc/init.d &>/dev/null
+for i in *; do
+    case "$i" in
+      (sysklogd|syslog-ng|README|skeleton|sendsigs|single|rc|rc.local|rcS)
+       ;;
+      ($have_halt)
+       ;;
+      (*)
+       $_VSERVER "$NAME" exec update-rc.d -f "$i" remove
+       ;;
+    esac
 done
+popd &>/dev/null
 
 # stop the vserver
-$_VSERVER "$NAME" exec bash -c ': >/tmp/startwait' &>/dev/null || :
-$_VSERVER "$NAME" stop &>/dev/null || :
+stopSleepingGuest "$NAME" &>/dev/null || :
 
 popd &>/dev/null
index 289da79..e3da381 100644 (file)
@@ -4,7 +4,7 @@ name=Fedora 7 - $basearch
 mirrorlist=http://mirrors.fedoraproject.org/mirrorlist?repo=fedora-7&arch=$basearch
 enabled=1
 gpgcheck=1
-gpgkey=http://redhat.download.fedoraproject.org/pub/fedora/linux/releases/7/Everything/$basearch/os/RPM-GPG-KEY-fedora file:///etc/pki/rpm-gpg/RPM-GPG-KEY
+gpgkey=http://redhat.download.fedoraproject.org/pub/fedora/linux/releases/7/Everything/$basearch/os/RPM-GPG-KEY-fedora http://redhat.download.fedoraproject.org/pub/fedora/linux/releases/7/Everything/$basearch/os/RPM-GPG-KEY
 
 [fedora-debuginfo]
 name=Fedora 7 - $basearch - Debug
@@ -12,7 +12,7 @@ name=Fedora 7 - $basearch - Debug
 mirrorlist=http://mirrors.fedoraproject.org/mirrorlist?repo=fedora-debug-7&arch=$basearch
 enabled=0
 gpgcheck=1
-gpgkey=http://redhat.download.fedoraproject.org/pub/fedora/linux/releases/7/Everything/$basearch/os/RPM-GPG-KEY-fedora file:///etc/pki/rpm-gpg/RPM-GPG-KEY
+gpgkey=http://redhat.download.fedoraproject.org/pub/fedora/linux/releases/7/Everything/$basearch/os/RPM-GPG-KEY-fedora http://redhat.download.fedoraproject.org/pub/fedora/linux/releases/7/Everything/$basearch/os/RPM-GPG-KEY
 
 [fedora-source]
 name=Fedora 7 - Source
@@ -20,4 +20,4 @@ name=Fedora 7 - Source
 mirrorlist=http://mirrors.fedoraproject.org/mirrorlist?repo=fedora-source-7&arch=$basearch
 enabled=0
 gpgcheck=1
-gpgkey=http://redhat.download.fedoraproject.org/pub/fedora/linux/releases/7/Everything/$basearch/os/RPM-GPG-KEY-fedora file:///etc/pki/rpm-gpg/RPM-GPG-KEY
+gpgkey=http://redhat.download.fedoraproject.org/pub/fedora/linux/releases/7/Everything/$basearch/os/RPM-GPG-KEY-fedora http://redhat.download.fedoraproject.org/pub/fedora/linux/releases/7/Everything/$basearch/os/RPM-GPG-KEY
index 1d21cd1..cd0ccc9 100644 (file)
@@ -1,5 +1,6 @@
 [main]
 cachedir=@YUMCACHEDIR@
+persistdir=@YUMLIBDIR@
 reposdir=@YUMETCDIR@/yum.repos.d
 debuglevel=1
 logfile=@YUMLOGDIR@/log
diff --git a/distrib/f8/apt/rpmpriorities b/distrib/f8/apt/rpmpriorities
new file mode 100644 (file)
index 0000000..f4a90e2
--- /dev/null
@@ -0,0 +1,7 @@
+Essential:
+  basesystem
+  coreutils
+  filesystem
+  glibc
+  setup
+  fedora-release
diff --git a/distrib/f8/pkgs/01 b/distrib/f8/pkgs/01
new file mode 100644 (file)
index 0000000..1a5ef72
--- /dev/null
@@ -0,0 +1 @@
+glibc
diff --git a/distrib/f8/pkgs/02 b/distrib/f8/pkgs/02
new file mode 100644 (file)
index 0000000..9ec5d2b
--- /dev/null
@@ -0,0 +1,3 @@
+--reinstall
+
+filesystem
diff --git a/distrib/f8/pkgs/03 b/distrib/f8/pkgs/03
new file mode 100644 (file)
index 0000000..218b1e6
--- /dev/null
@@ -0,0 +1,2 @@
+coreutils
+initscripts
diff --git a/distrib/f8/rpmlist.d/00.lst b/distrib/f8/rpmlist.d/00.lst
new file mode 100644 (file)
index 0000000..85a9617
--- /dev/null
@@ -0,0 +1,7 @@
+basesystem-*.rpm
+filesystem-*.rpm
+glibc-common-*.rpm
+glibc-[0-9]*.rpm
+libgcc-[0-9]*.rpm
+setup-*.rpm
+tzdata-*.rpm
diff --git a/distrib/f8/yum.repos.d/fedora-development.repo b/distrib/f8/yum.repos.d/fedora-development.repo
new file mode 100644 (file)
index 0000000..89c03e3
--- /dev/null
@@ -0,0 +1,48 @@
+# These packages are untested and still under development. This
+# repository is used for updates to test releases, and for
+# development of new releases.
+#
+# This repository can see significant daily turnover and major
+# functionality changes which cause unexpected problems with other
+# development packages. Please use these packages if you want to work
+# with the Fedora developers by testing these new development packages.
+#
+# fedora-test-list@redhat.com is available as a discussion forum for
+# testing and troubleshooting for development packages in conjunction
+# with new test releases.
+#
+# More information is available at http://fedoraproject.org/wiki/Testing 
+#
+# Reproducible and reportable issues should be filed at
+# http://bugzilla.redhat.com/.
+#
+# Product: Fedora
+# Version: devel
+
+[development]
+name=Fedora - Development
+failovermethod=priority
+#baseurl=http://download.fedora.redhat.com/pub/fedora/linux/development/$basearch/os/
+mirrorlist=http://mirrors.fedoraproject.org/mirrorlist?repo=rawhide&arch=$basearch
+enabled=0
+gpgcheck=0
+gpgkey=http://redhat.download.fedoraproject.org/pub/fedora/linux/releases/8/Everything/$basearch/os/RPM-GPG-KEY-fedora-test http://redhat.download.fedoraproject.org/pub/fedora/linux/releases/8/Everything/$basearch/os/RPM-GPG-KEY-fedora
+
+[development-debuginfo]
+name=Fedora - Development - Debug
+failovermethod=priority
+#baseurl=http://download.fedora.redhat.com/pub/fedora/linux/development/$basearch/debug/
+mirrorlist=http://mirrors.fedoraproject.org/mirrorlist?repo=rawhide-debug&arch=$basearch
+enabled=0
+gpgcheck=0
+gpgkey=http://redhat.download.fedoraproject.org/pub/fedora/linux/releases/8/Everything/$basearch/os/RPM-GPG-KEY-fedora-test http://redhat.download.fedoraproject.org/pub/fedora/linux/releases/8/Everything/$basearch/os/RPM-GPG-KEY-fedora
+
+[development-source]
+name=Fedora - Development - Source
+failovermethod=priority
+#baseurl=http://download.fedora.redhat.com/pub/fedora/linux/development/source/SRPMS/
+mirrorlist=http://mirrors.fedoraproject.org/mirrorlist?repo=rawhide-source&arch=$basearch
+enabled=0
+gpgcheck=0
+gpgkey=http://redhat.download.fedoraproject.org/pub/fedora/linux/releases/8/Everything/$basearch/os/RPM-GPG-KEY-fedora-test http://redhat.download.fedoraproject.org/pub/fedora/linux/releases/8/Everything/$basearch/os/RPM-GPG-KEY-fedora
+
diff --git a/distrib/f8/yum.repos.d/fedora-updates-testing.repo b/distrib/f8/yum.repos.d/fedora-updates-testing.repo
new file mode 100644 (file)
index 0000000..0782251
--- /dev/null
@@ -0,0 +1,26 @@
+[updates-testing]
+name=Fedora 8 - $basearch - Test Updates
+failovermethod=priority
+#baseurl=http://download.fedora.redhat.com/pub/fedora/linux/updates/testing/8/$basearch/
+mirrorlist=http://mirrors.fedoraproject.org/mirrorlist?repo=updates-testing-f8&arch=$basearch
+enabled=0
+gpgcheck=1
+gpgkey=http://redhat.download.fedoraproject.org/pub/fedora/linux/releases/8/Everything/$basearch/os/RPM-GPG-KEY-fedora-test
+
+[updates-testing-debuginfo]
+name=Fedora 8 - $basearch - Test Updates Debug
+failovermethod=priority
+#baseurl=http://download.fedora.redhat.com/pub/fedora/linux/updates/testing/8/$basearch/debug/
+mirrorlist=http://mirrors.fedoraproject.org/mirrorlist?repo=updates-testing-debug-f8&arch=$basearch
+enabled=0
+gpgcheck=1
+gpgkey=http://redhat.download.fedoraproject.org/pub/fedora/linux/releases/8/Everything/$basearch/os/RPM-GPG-KEY-fedora-test
+
+[updates-testing-source]
+name=Fedora 8 - Test Updates Source
+failovermethod=priority
+#baseurl=http://download.fedora.redhat.com/pub/fedora/linux/core/updates/testing/8/SRPMS/
+mirrorlist=http://mirrors.fedoraproject.org/mirrorlist?repo=updates-testing-source-f8&arch=$basearch
+enabled=0
+gpgcheck=1
+gpgkey=http://redhat.download.fedoraproject.org/pub/fedora/linux/releases/8/Everything/$basearch/os/RPM-GPG-KEY-fedora-test
diff --git a/distrib/f8/yum.repos.d/fedora-updates.repo b/distrib/f8/yum.repos.d/fedora-updates.repo
new file mode 100644 (file)
index 0000000..5df704a
--- /dev/null
@@ -0,0 +1,26 @@
+[updates]
+name=Fedora 8 - $basearch - Updates
+failovermethod=priority
+#baseurl=http://download.fedora.redhat.com/pub/fedora/linux/updates/8/$basearch/
+mirrorlist=http://mirrors.fedoraproject.org/mirrorlist?repo=updates-released-f8&arch=$basearch
+enabled=1
+gpgcheck=1
+gpgkey=http://redhat.download.fedoraproject.org/pub/fedora/linux/releases/8/Everything/$basearch/os/RPM-GPG-KEY-fedora
+
+[updates-debuginfo]
+name=Fedora 8 - $basearch - Updates - Debug
+failovermethod=priority
+#baseurl=http://download.fedora.redhat.com/pub/fedora/linux/updates/8/$basearch/debug/
+mirrorlist=http://mirrors.fedoraproject.org/mirrorlist?repo=updates-released-debug-f8&arch=$basearch
+enabled=0
+gpgcheck=1
+gpgkey=http://redhat.download.fedoraproject.org/pub/fedora/linux/releases/8/Everything/$basearch/os/RPM-GPG-KEY-fedora
+
+[updates-source]
+name=Fedora 8 - Updates Source
+failovermethod=priority
+#baseurl=http://download.fedora.redhat.com/pub/fedora/linux/updates/8/SRPMS/
+mirrorlist=http://mirrors.fedoraproject.org/mirrorlist?repo=updates-released-source-f8&arch=$basearch
+enabled=0
+gpgcheck=1
+gpgkey=http://redhat.download.fedoraproject.org/pub/fedora/linux/releases/8/Everything/$basearch/os/RPM-GPG-KEY-fedora
diff --git a/distrib/f8/yum.repos.d/fedora.repo b/distrib/f8/yum.repos.d/fedora.repo
new file mode 100644 (file)
index 0000000..f98da56
--- /dev/null
@@ -0,0 +1,26 @@
+[fedora]
+name=Fedora 8 - $basearch
+failovermethod=priority
+#baseurl=http://download.fedora.redhat.com/pub/fedora/linux/releases/8/Everything/$basearch/os/
+mirrorlist=http://mirrors.fedoraproject.org/mirrorlist?repo=fedora-8&arch=$basearch
+enabled=1
+gpgcheck=1
+gpgkey=http://redhat.download.fedoraproject.org/pub/fedora/linux/releases/8/Everything/$basearch/os/RPM-GPG-KEY-fedora http://redhat.download.fedoraproject.org/pub/fedora/linux/releases/8/Everything/$basearch/os/RPM-GPG-KEY
+
+[fedora-debuginfo]
+name=Fedora 8 - $basearch - Debug
+failovermethod=priority
+#baseurl=http://download.fedora.redhat.com/pub/fedora/linux/releases/8/Everything/$basearch/debug/
+mirrorlist=http://mirrors.fedoraproject.org/mirrorlist?repo=fedora-debug-8&arch=$basearch
+enabled=0
+gpgcheck=1
+gpgkey=http://redhat.download.fedoraproject.org/pub/fedora/linux/releases/8/Everything/$basearch/os/RPM-GPG-KEY-fedora http://redhat.download.fedoraproject.org/pub/fedora/linux/releases/8/Everything/$basearch/os/RPM-GPG-KEY
+
+[fedora-source]
+name=Fedora 8 - Source
+failovermethod=priority
+#baseurl=http://download.fedora.redhat.com/pub/fedora/linux/releases/8/Everything/source/SRPMS/
+mirrorlist=http://mirrors.fedoraproject.org/mirrorlist?repo=fedora-source-8&arch=$basearch
+enabled=0
+gpgcheck=1
+gpgkey=http://redhat.download.fedoraproject.org/pub/fedora/linux/releases/8/Everything/$basearch/os/RPM-GPG-KEY-fedora http://redhat.download.fedoraproject.org/pub/fedora/linux/releases/8/Everything/$basearch/os/RPM-GPG-KEY
diff --git a/distrib/f8/yum/yum.conf b/distrib/f8/yum/yum.conf
new file mode 100644 (file)
index 0000000..cd0ccc9
--- /dev/null
@@ -0,0 +1,11 @@
+[main]
+cachedir=@YUMCACHEDIR@
+persistdir=@YUMLIBDIR@
+reposdir=@YUMETCDIR@/yum.repos.d
+debuglevel=1
+logfile=@YUMLOGDIR@/log
+lockfile=@YUMLOCKDIR@/yum.pid
+pkgpolicy=newest
+distroverpkg=fedora-release
+installonlypkgs=
+exactarch=0
index 48de3b4..df86d92 100644 (file)
@@ -1 +1 @@
-http://ftp.debian.org/debian/pool/main/d/debootstrap/debootstrap_1.0.3_all.deb
+http://ftp.debian.org/debian/pool/main/d/debootstrap/debootstrap_1.0.8_all.deb
index 01afd3a..a234339 100644 (file)
@@ -1,19 +1,19 @@
 # Borrowed from file(1)
 # gzip (GNU zip, not to be confused with [Info-ZIP/PKWARE] zip archiver)
-0      string          \037\213                gzip -d -c      1
+0      string          \037\213                gzip -d -c                      1
 # tar posix
-257    string          ustar\0                 tar -x          0
+257    string          ustar\0                 tar -x --numeric-owner          0
 # tar gnu
-257    string          ustar\040\040\0         tar -x          0
+257    string          ustar\040\040\0         tar -x --numeric-owner          0
 # cpio
-0      short           070707                  cpio -i         0
+0      short           070707                  cpio -i --numeric-uid-gid       0
 # cpio swapped
-0      short           0143561                 cpio -i         0
+0      short           0143561                 cpio -i --numeric-uid-gid       0
 # bzip2
-0      string          BZh                     bzip2 -d -c     1
+0      string          BZh                     bzip2 -d -c                     1
 # dump/restore new-fs big and little endian
-24     belong          60012                   restore -rf -   0
-24     lelong          60012                   restore -rf -   0
+24     belong          60012                   restore -rf -                   0
+24     lelong          60012                   restore -rf -                   0
 # dump/restore old-fs big and little endian
-24     belong          60011                   restore -rf -   0
-24     lelong          60011                   restore -rf -   0
+24     belong          60011                   restore -rf -                   0
+24     lelong          60011                   restore -rf -                   0
index f42f798..630367e 100644 (file)
@@ -1,5 +1,9 @@
 /proc/net/
 -/proc/net/rpc/
+-/proc/net/ip_conntrack
+-/proc/net/ip_conntrack_expect
+-/proc/net/nf_conntrack
+-/proc/net/nf_conntrack_expect
 /proc/sys/
 -/proc/sys/debug/
 -/proc/sys/dev/
index 4157a2b..5337fe0 100755 (executable)
@@ -19,6 +19,7 @@
 
 vdir=$1/vdir
 . "$2"
+. "$_LIB_VSERVER_BUILD_FUNCTIONS"
 
 function relink
 {
@@ -44,19 +45,7 @@ vserver=$1
 
 ## Do some magic to set the vserver into a defined state
 $_VSERVER "$vserver" stop  &>/dev/null || :
-$_VSERVER "$vserver" start --rescue --rescue-init bash -c '
-    exec  >/dev/null
-    exec 2>/dev/null
-
-    set -x
-    f=/tmp/startwait
-    trap "rm -f $f" EXIT
-    mkfifo $f
-    ( sleep 15; kill -s 9 -- -1 ) &
-    cat "$f" >/dev/null
-    kill -s 9 -- -1
-    wait
-'
+startSleepingGuest "$vserver" 15
 
 pushd "$vdir"/etc/init.d &>/dev/null ||
     pushd "$vdir"/etc/rc.d/init.d &>/dev/null || exit 1
@@ -65,7 +54,7 @@ pushd "$vdir"/etc/init.d &>/dev/null ||
        test -e "$i" || continue
        case "$i" in
            functions|halt|killall|single) ;;
-           syslog) ;;
+           syslog|rsyslog) ;;
            *)
                $_VSERVER "$1" chkconfig "$i" off
                ;;
@@ -102,5 +91,4 @@ EOF
                       s!si::sysinit:/etc/rc.d/rc.sysinit!si::sysinit:/etc/rc.d/rc.sysinit.vserver!'
 popd >/dev/null
 
-$_VSERVER "$vserver" exec bash -c ': >/tmp/startwait' &>/dev/null || :
-$_VSERVER "$vserver" stop &>/dev/null || :
+stopSleepingGuest "$vserver" &> /dev/null || :